> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/set-udelement.md).

# Set-UDElement

Set-UDElement aggiorna le proprietà o il contenuto renderizzato di un elemento dell'interfaccia utente esistente all'interno di una pagina di dashboard di PowerShell Universal.

### Sinossi

Imposta le proprietà di un elemento.

### Sintassi

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Descrizione

Imposta le proprietà di un elemento.

### Parametri

#### -Id

L'elemento su cui impostare le proprietà.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

Le proprietà da impostare sotto forma di hashtable.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Se aggiornare questo elemento su tutti i client connessi.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Contenuto da impostare all'interno dell'elemento.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1: proprietà

```powershell
New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement1' -Properties @{
       'disabled' = $true
   }
}
```

Disabilita un pulsante.

#### Esempio 2: broadcast

```powershell
New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement2' -Properties @{
       'disabled' = $true
   } -Broadcast
}
```

Disabilita un pulsante e lo trasmette a tutte le dashboard connesse.

#### Esempio 3: contenuto

```powershell
New-UDElement -Tag 'div' -Id 'setElement3' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Set-UDElement -Id 'setElement3' -Content {
        New-UDTypography -Text 'Goodbye World'
    }
}
```

Imposta il contenuto di un elemento.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/set-udelement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
